Subject: Re: Networking Is Blocked By Default On A Fresh Installation

From: Arne Wichmann <[email-masked]>
Date: Tue, 8 Feb 2022 22:18:08 +0100

begin  quotation  from [email-masked] (in <[email-masked]>):
> Package: rfkill
> Version: 2.33.1
> Severity: critical
> 
> Problem:
> Devuan 3.1 beowulf installer uses rfkill to BLOCK wifi networking by default on a fresh minimal installation first time boot, by minimal I mean that only 'standard system utilities' and 'print server' is chosen in tasksel, this happens in the absence of package rfkill itself which is needed to UNBLOCK networking. No internet plus no way to enable internet makes the system of no use or non-beneficial for most users.

Though I can not reproduce this bug as I do not have a machine which has
wifi usable for installation, maybe you can help and retry with chimaera if
the problem is still present.

Moreover I doubt that the problem is in rfkill - I would look for it in the
installation routines. If you are not sure I will redirect the problem to
devuan-installer.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann ([email-masked])